Page MenuHomePhabricator

nan and minnan subdomain redirects are a mess
Open, LowPublic

Description

(Im not sure where to file this type of issue in Phab :/)

While investigating T74674, I found that http://nan.wiktionary.org/ redirects to https://incubator.wikimedia.org/wiki/Wt/nan?goto=mainpage , which says:

Min Nan Chinese Wiktionary
A Wiktionary in this language does not yet exist.

But that is not true; we have one, over here:

https://zh-min-nan.wiktionary.org/


Likewise http://minnan.wiktionary.org/ redirects to https://incubator.wikimedia.org/wiki/Wt/minnan?goto=mainpage , which says

Error: This page is [[https://incubator.wikimedia.org/wiki/Incubator:PREFIX|unprefixed]].

Along the same lines, http://zh-min-nan.wikinews.org/ redirects to https://incubator.wikimedia.org/wiki/Wn/zh-min-nan?goto=mainpage , and http://minnan.wikinews.org redirects to https://incubator.wikimedia.org/wiki/Wn/minnan?goto=mainpage ; and both targets says

Error: This page is [[https://incubator.wikimedia.org/wiki/Incubator:PREFIX|unprefixed]].

http://nan.wikinews.org/ redirects to https://incubator.wikimedia.org/wiki/Wn/nan?goto=mainpage , which says

Min Nan Chinese Wikinews
A Wikinews in this language does not yet exist.

We also have an open wiki at https://zh-min-nan.wikisource.org/ , but https://minnan.wikisource.org/ and https://nan.wikisource.org/ redirect to https://wikisource.org/wiki/Main_Page


Then for Wikiquote, we have a closed wiki at http://zh-min-nan.wikiquote.org/ , but http://nan.wikiquote.org/ goes to https://incubator.wikimedia.org/w/index.php?title=Wq/nan/Th%C3%A2u-ia%CC%8Dh&redirectfrom=infopage , which is a typical incubator landing page.

http://minnan.wikiquote.org/ redirects to https://incubator.wikimedia.org/wiki/Wq/minnan/Th%C3%A2u-ia%CC%8Dh , which says:

Error: This page is unprefixed.

Event Timeline

jayvdb created this task.Jan 15 2015, 1:49 PM
jayvdb raised the priority of this task from to Needs Triage.
jayvdb updated the task description. (Show Details)
jayvdb added a subscriber: jayvdb.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 1:49 PM

I wonder if we should get the 'minnan' DNS removed, it doesn't appear to be an ISO 639 code (I might be wrong). Others needs to be redirected to zh-min-nan project if it exists and to Incubator if it doesn't.

Wikipedia is redirected properly because there is an apache rewriterule for it specifically.

On an unrelated note, why are there two options ('nan' and 'zh-min-nan') to select Min Nan in MediaWiki core (seems like the same to me)?

Looks like minnan isn't recognized by Incubator because it is fetching the language codes from Language::fetchLanguageNames (which does not know about minnan). Things would be a lot simpler if we just get rid of the DNS for 'minnan'. That is, if it's not an ISO 639 code.

Glaisher triaged this task as Low priority.Jan 15 2015, 6:00 PM

It would be awesome if T30442: Rename zh-min-nan -> nan was fixed. None of these issues would be present.

So to get this done, do we make missing.php handle these or do we add apache rewriterules or do we make Incubator extension do the redirects? Which is the cleanest way?

Not sure either if this is still site-requests level (shell) or already lower on DNS level (ops). I think it's still the first.

See T10217 for the general mess in this area.

One of the proposed solution is to remove the 'minnan'.project.org DNS so this is in Operations side.

Things would be a lot simpler if we just get rid of the DNS for 'minnan'. That is, if it's not an ISO 639 code.

It is not an ISO 639 code. Those never have 6 characters without a dash.

OK so, I think we should remove zh-cfr and minnan sites. After that, we should redirect from nan.$project.org to zh-min-nan until wiki renames are possible. Does that sound sane?

For future reference:

Current interwiki links pointing to //zh-min-nan.wikipedia.org/wiki/$1

  • zh-cfr
  • nan
  • zh-min-nan
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 21 2015, 5:50 PM

OK so, I think we should remove zh-cfr and minnan sites. After that, we should redirect from nan.$project.org to zh-min-nan until wiki renames are possible.
Does that sound sane?

No.
We should not introduce, nor perpetuate wrong language codes.
A redirect must go in th opposite direction, from zh-min-nan to nan.

No.
We should not introduce, nor perpetuate wrong language codes.
A redirect must go in th opposite direction, from zh-min-nan to nan.

It's not the opposite direction unless the wiki can be renamed. See T30442: Rename zh-min-nan -> nan. I suggested these redirects to be added until we are able to rename wikis. This is currently not possible and there is already a redirect from nan.wikipedia.org -> zh-min-nan.wikipedia.org.

As there is no consistency across the projects and it's causing issues, this task is about adding redirects to zh-min-nan wikis in a consistent manner. Therefore, I suggested to redirect nan.$project.org to zh-min-nan.$project.org until this wiki can be renamed. Once T30442 is resolved, we'll definitely add redirects from zh-min-nan to nan as otherwise, hundreds of links would be broken.

! In T86915#1469825, @Glaisher wrote:

Once T30442 is resolved, we'll definitely add redirects from zh-min-nan to nan as otherwise, hundreds of links would be broken.

Sorry, the latter escaped my attention. Yes, I agree with you.

Meno25 added a subscriber: Meno25.Jul 22 2015, 4:42 PM
BBlack moved this task from Triage to DNS Names on the Traffic board.Sep 30 2016, 2:16 PM

After re-clarification of @StevenJ81, https://incubator.wikimedia.org/wiki/Wt/nan now shows "This project uses a different ISO code.", so I would say that this task is partially resolved

I didn't really intend what I wrote as a resolution; I intended it as a stopgap until such time as this issue is completely resolved. I can make that page say anything it needs to say to point people to the right place.

Meno25 removed a subscriber: Meno25.Nov 23 2018, 7:32 AM